package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxSegmentModel;

/**
 * 分段接口
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年2月20日
 */
public interface SegmentProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxSegmentModel model);

    BocloudResult remove(String segmentId);

    BocloudResult detail(String segmentId);

    BocloudResult update(NsxSegmentModel model);
}
